summaryrefslogtreecommitdiff
path: root/tests/dd
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2006-12-22 10:09:37 +0100
committerJim Meyering <jim@meyering.net>2006-12-22 10:09:37 +0100
commitf24ff8f42b45f868876bde7d21046c01188d42a4 (patch)
treeb0a031d5b386b224b5bc6ad7c52d0b82acb05f29 /tests/dd
parent699188aa87648cc487ee7bcdaeebfcbbb182e356 (diff)
downloadcoreutils-f24ff8f42b45f868876bde7d21046c01188d42a4.tar.xz
* NEWS: dd bs= operands now silently override later ibs= and obs=,
as POSIX requires. * src/dd.c (scanargs): Implement it. * tests/dd/misc (outbytes): Test it. * doc/coreutils.texi (dd invocation): Specify that bs=N overrides later ibs and obs, undoing part of the previous change. (The behavior was wrong.)
Diffstat (limited to 'tests/dd')
-rwxr-xr-xtests/dd/misc3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/dd/misc b/tests/dd/misc
index 2db5c5bd7..513221bce 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -74,6 +74,9 @@ if dd oflag=nolinks if=$tmp_in of=$tmp_out 2> /dev/null; then
dd oflag=nolinks < $tmp_in > $tmp_out 2>&1 || fail=1
fi
+outbytes=`echo x | dd bs=3 ibs=10 obs=10 conv=sync 2>/dev/null | wc -c`
+test "$outbytes" -eq 3 || fail=1
+
rm -f $tmp_in $tmp_in2 $tmp_sym $tmp_out
exit $fail